> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4r.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get URL

> Retrieve details of a specific shortened URL

## Path Parameters

<ParamField path="id" type="string" required>
  URL ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://snip.sa/api/urls/507f1f77bcf86cd799439011 \
    -H "X-API-Key: your_api_key_here"
  ```

  ```javascript JavaScript theme={null}
  const response = await axios.get(
    'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
    {
      headers: {
        'X-API-Key': 'your_api_key_here'
      }
    }
  );
  ```

  ```python Python theme={null}
  response = requests.get(
      'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
      headers={'X-API-Key': 'your_api_key_here'}
  )
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "url": {
        "_id": "507f1f77bcf86cd799439011",
        "originalUrl": "https://example.com/page",
        "shortCode": "abc123",
        "customCode": "mylink",
        "title": "My Link",
        "description": "Link description",
        "tags": ["marketing"],
        "clickCount": 150,
        "isActive": true,
        "utm": {
          "source": "newsletter",
          "medium": "email"
        },
        "creator": {
          "_id": "507f1f77bcf86cd799439012",
          "firstName": "John",
          "lastName": "Doe",
          "email": "john@example.com"
        },
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      }
    }
  }
  ```
</ResponseExample>
